Package org.apache.catalina.mbeans

# Class MemoryUserDatabaseMBean

java.lang.Object
org.apache.tomcat.util.modeler.BaseModelMBean
org.apache.catalina.mbeans.SparseUserDatabaseMBean
org.apache.catalina.mbeans.MemoryUserDatabaseMBean

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`, `ModelMBeanNotificationBroadcaster`, `NotificationBroadcaster`

public class MemoryUserDatabaseMBean extends SparseUserDatabaseMBean

A ModelMBean implementation for the `org.apache.catalina.users.MemoryUserDatabase` component.

Author:
  Craig R. McClanahan

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ManagedBean`
`managed`
The `ManagedBean` information describing this MBean.

### Fields inherited from class org.apache.catalina.mbeans.SparseUserDatabaseMBean

`managedGroup, managedRole, managedUser, mserver, registry`

### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

## Constructor Summary

Constructors
Constructor
Description
`MemoryUserDatabaseMBean()`

## Method Summary

### Methods inherited from class org.apache.catalina.mbeans.SparseUserDatabaseMBean

`createGroup, createRole, createUser, findGroup, findRole, findUser, getGroups, getRoles, getUsers, removeGroup, removeRole, removeUser, save`

### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### managed

protected final ManagedBean managed
The `ManagedBean` information describing this MBean.

## Constructor Details

### MemoryUserDatabaseMBean

public MemoryUserDatabaseMBean()